#include <iostream>
#include <string>

class MyClass {
public:
    std::string data;

    // Constructor
    MyClass(const std::string& str) : data(str) {
        std::cout << "Constructed\n";
    }

    // Move Constructor
    MyClass(MyClass&& other) noexcept : data(std::move(other.data)) {
        std::cout << "Move Constructed\n";
    }
};

int main() {
    MyClass obj1("Hello, World!");
    MyClass obj2(std::move(obj1));  // obj1 is cast to an rvalue using std::move

    std::cout << "obj2.data: " << obj2.data << std::endl;

    return 0;
}

